"""
Demonstrates recovery from bad user integer input using while.

It uses a sentinel loop and catches bad input using a try-except block.
It implements The Usable Integer Adding Machine.
"""


def main():
    print('Welcome to The Usable Integer Adding Machine.\n')
    entry_count = 0
    sum_of_entries = 0
    entry_as_string = get_input_from_user()

    while entry_as_string != '':
        try:
            entry = int(entry_as_string)
            entry_count += 1
            sum_of_entries += entry
        except ValueError:
            print(f'An integer value was expected. You entered {entry_as_string}')
        entry_as_string = get_input_from_user()

    print(f'\nThe sum of {entry_count} {"entry" if entry_count == 1 else "entries"} is {sum_of_entries}.')


def get_input_from_user():
    response = input('Please enter an integer value to be added (<Enter> to stop): ')
    return response


main()
